Module java.desktop
Package javax.swing.text.html

# Class HTMLDocument.HTMLReader.TagAction

java.lang.Object
javax.swing.text.html.HTMLDocument.HTMLReader.TagAction

Direct Known Subclasses:
  `HTMLDocument.HTMLReader.BlockAction`, `HTMLDocument.HTMLReader.CharacterAction`, `HTMLDocument.HTMLReader.HiddenAction`, `HTMLDocument.HTMLReader.IsindexAction`, `HTMLDocument.HTMLReader.SpecialAction`

Enclosing class:
  HTMLDocument.HTMLReader

public class HTMLDocument.HTMLReader.TagAction extends Object
An action to be performed in response to parsing a tag. This allows customization of how each tag is handled and avoids a large switch statement.

## Constructor Summary

Constructors
Constructor
Description
`TagAction()`
Constructs a `TagAction`.

## Method Summary

Modifier and Type
Method
Description
`void`
`end(HTML.Tag t)`
Called when an end tag is seen for the type of tag this action was registered to.
`void`
`start(HTML.Tag t, MutableAttributeSet a)`
Called when a start tag is seen for the type of tag this action was registered to.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TagAction

public TagAction()
Constructs a `TagAction`.

## Method Details

### start

public void start(HTML.Tag t, MutableAttributeSet a)
Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Parameters:
  `t` - the HTML tag
  `a` - the attributes

### end

public void end(HTML.Tag t)
Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Parameters:
  `t` - the HTML tag